SHA256
1
0
forked from pool/salt

Accepting request 203677 from devel:languages:python

Salt Bugfix release 0.17.1 see changes for all the fixes (forwarded request 203676 from aboe76)

OBS-URL: https://build.opensuse.org/request/show/203677
OBS-URL: https://build.opensuse.org/package/show/openSUSE:Factory/salt?expand=0&rev=16
This commit is contained in:
Tomáš Chvátal 2013-10-18 09:35:12 +00:00 committed by Git OBS Bridge
parent 3856ed3bc7
commit 51a039df19
7 changed files with 158 additions and 121 deletions

View File

@ -1,3 +0,0 @@
version https://git-lfs.github.com/spec/v1
oid sha256:40f735f6233e51eb68577d311261f147fa5c2357f59bc1afe49293f8fbea7b93
size 3787793

3
salt-0.17.1.tar.gz Normal file
View File

@ -0,0 +1,3 @@
version https://git-lfs.github.com/spec/v1
oid sha256:2f9f0e8b2ed53241ab3e373fd8d4030384b3f78f7b796d185c9907874cceebb9
size 3800422

View File

@ -26,16 +26,6 @@
# processname: /usr/bin/salt-master # processname: /usr/bin/salt-master
if [ -f /etc/default/salt ]; then
. /etc/default/salt
else
SALTMASTER=/usr/bin/salt-master
PYTHON=/usr/bin/python
fi
# Sanity checks.
[ -x $SALTMASTER ] || exit 0
DEBIAN_VERSION=/etc/debian_version DEBIAN_VERSION=/etc/debian_version
SUSE_RELEASE=/etc/SuSE-release SUSE_RELEASE=/etc/SuSE-release
# Source function library. # Source function library.
@ -47,27 +37,35 @@ else
. /etc/rc.d/init.d/functions . /etc/rc.d/init.d/functions
fi fi
# Default values (can be overridden below)
SALTMASTER=/usr/bin/salt-master
PYTHON=/usr/bin/python
MASTER_ARGS=""
if [ -f /etc/default/salt ]; then
. /etc/default/salt
fi
SERVICE=salt-master SERVICE=salt-master
PROCESS=salt-master PROCESS=salt-master
CONFIG_ARGS=" "
RETVAL=0 RETVAL=0
start() { start() {
echo -n $"Starting salt-master daemon: " echo -n $"Starting salt-master daemon: "
if [ -f $SUSE_RELEASE ]; then if [ -f $SUSE_RELEASE ]; then
startproc -f -p /var/run/$SERVICE.pid $SALTMASTER -d $CONFIG_ARGS startproc -f -p /var/run/$SERVICE.pid $SALTMASTER -d $MASTER_ARGS
rc_status -v rc_status -v
elif [ -e $DEBIAN_VERSION ]; then elif [ -e $DEBIAN_VERSION ]; then
if [ -f $LOCKFILE ]; then if [ -f $LOCKFILE ]; then
echo -n "already started, lock file found" echo -n "already started, lock file found"
RETVAL=1 RETVAL=1
elif $PYTHON $SALTMASTER -d >& /dev/null; then elif $PYTHON $SALTMASTER -d $MASTER_ARGS >& /dev/null; then
echo -n "OK" echo -n "OK"
RETVAL=0 RETVAL=0
fi fi
else else
daemon --check $SERVICE $SALTMASTER -d $CONFIG_ARGS daemon --check $SERVICE $SALTMASTER -d $MASTER_ARGS
fi fi
RETVAL=$? RETVAL=$?
echo echo
@ -100,7 +98,6 @@ restart() {
start start
} }
# See how we were called. # See how we were called.
case "$1" in case "$1" in
start|stop|restart) start|stop|restart)
@ -129,11 +126,7 @@ case "$1" in
;; ;;
reload) reload)
echo "can't reload configuration, you have to restart it" echo "can't reload configuration, you have to restart it"
if [ -f $SUSE_RELEASE ]; then
rc_status -v
else
RETVAL=$? RETVAL=$?
fi
;; ;;
*) *)
echo $"Usage: $0 {start|stop|status|restart|condrestart|reload}" echo $"Usage: $0 {start|stop|status|restart|condrestart|reload}"
@ -141,4 +134,3 @@ case "$1" in
;; ;;
esac esac
exit $RETVAL exit $RETVAL

View File

@ -14,7 +14,8 @@
# Default-Start: 3 5 # Default-Start: 3 5
# Default-Stop: 0 1 2 6 # Default-Stop: 0 1 2 6
# Short-Description: Salt minion daemon # Short-Description: Salt minion daemon
# Description: This is the Salt minion daemon that can be controlled by the Salt master. # Description: This is the Salt minion daemon that can be controlled by the
# Salt master.
### END INIT INFO ### END INIT INFO
@ -26,16 +27,6 @@
# processname: /usr/bin/salt-minion # processname: /usr/bin/salt-minion
if [ -f /etc/default/salt ]; then
. /etc/default/salt
else
SALTMINION=/usr/bin/salt-minion
PYTHON=/usr/bin/python
fi
# Sanity checks.
[ -x $SALTMINION ] || exit 0
DEBIAN_VERSION=/etc/debian_version DEBIAN_VERSION=/etc/debian_version
SUSE_RELEASE=/etc/SuSE-release SUSE_RELEASE=/etc/SuSE-release
# Source function library. # Source function library.
@ -47,22 +38,30 @@ else
. /etc/rc.d/init.d/functions . /etc/rc.d/init.d/functions
fi fi
# Default values (can be overridden below)
SALTMINION=/usr/bin/salt-minion
PYTHON=/usr/bin/python
MINION_ARGS=""
if [ -f /etc/default/salt ]; then
. /etc/default/salt
fi
SERVICE=salt-minion SERVICE=salt-minion
PROCESS=salt-minion PROCESS=salt-minion
CONFIG_ARGS=" "
RETVAL=0 RETVAL=0
start() { start() {
echo -n $"Starting salt-minion daemon: " echo -n $"Starting salt-minion daemon: "
if [ -f $SUSE_RELEASE ]; then if [ -f $SUSE_RELEASE ]; then
startproc -f -p /var/run/$SERVICE.pid $SALTMINION -d $CONFIG_ARGS startproc -f -p /var/run/$SERVICE.pid $SALTMINION -d $MINION_ARGS
rc_status -v rc_status -v
elif [ -e $DEBIAN_VERSION ]; then elif [ -e $DEBIAN_VERSION ]; then
if [ -f $LOCKFILE ]; then if [ -f $LOCKFILE ]; then
echo -n "already started, lock file found" echo -n "already started, lock file found"
RETVAL=1 RETVAL=1
elif $PYTHON $SALTMINION -d >& /dev/null; then elif $PYTHON $SALTMINION -d $MINION_ARGS >& /dev/null; then
echo -n "OK" echo -n "OK"
RETVAL=0 RETVAL=0
fi fi
@ -71,7 +70,7 @@ start() {
RETVAL=$? RETVAL=$?
echo -n "already running" echo -n "already running"
else else
daemon --check $SERVICE $SALTMINION -d $CONFIG_ARGS daemon --check $SERVICE $SALTMINION -d $MINION_ARGS
RETVAL=$? RETVAL=$?
fi fi
fi fi
@ -133,11 +132,7 @@ case "$1" in
;; ;;
reload) reload)
echo "can't reload configuration, you have to restart it" echo "can't reload configuration, you have to restart it"
if [ -f $SUSE_RELEASE ]; then
rc_status -v
else
RETVAL=$? RETVAL=$?
fi
;; ;;
*) *)
echo $"Usage: $0 {start|stop|status|restart|condrestart|reload}" echo $"Usage: $0 {start|stop|status|restart|condrestart|reload}"

View File

@ -14,28 +14,19 @@
# Default-Start: 3 5 # Default-Start: 3 5
# Default-Stop: 0 1 2 6 # Default-Stop: 0 1 2 6
# Short-Description: Salt syndic master-minion passthrough daemon # Short-Description: Salt syndic master-minion passthrough daemon
# Description: This is a the Salt syndic daemon that enables Salt master-minion remote control passthrough. # Description: This is a the Salt syndic daemon that enables Salt master-minion
# remote control passthrough.
### END INIT INFO ### END INIT INFO
# chkconfig header # chkconfig header
# chkconfig: 345 99 99 # chkconfig: - 99 99
# description: This is a the Salt syndic daemon that enables Salt master-minion remote control passthrough. # description: This is a the Salt syndic daemon that enables Salt master-minion remote control passthrough.
# #
# processname: /usr/bin/salt-syndic # processname: /usr/bin/salt-syndic
if [ -f /etc/default/salt ]; then
. /etc/default/salt
else
SALTSYNDIC=/usr/bin/salt-syndic
PYTHON=/usr/bin/python
fi
# Sanity checks.
[ -x $SALTSYNDIC ] || exit 0
DEBIAN_VERSION=/etc/debian_version DEBIAN_VERSION=/etc/debian_version
SUSE_RELEASE=/etc/SuSE-release SUSE_RELEASE=/etc/SuSE-release
# Source function library. # Source function library.
@ -47,27 +38,35 @@ else
. /etc/rc.d/init.d/functions . /etc/rc.d/init.d/functions
fi fi
# Default values (can be overridden below)
SALTSYNDIC=/usr/bin/salt-syndic
PYTHON=/usr/bin/python
SYNDIC_ARGS=""
if [ -f /etc/default/salt ]; then
. /etc/default/salt
fi
SERVICE=salt-syndic SERVICE=salt-syndic
PROCESS=salt-syndic PROCESS=salt-syndic
CONFIG_ARGS=" "
RETVAL=0 RETVAL=0
start() { start() {
echo -n $"Starting salt-syndic daemon: " echo -n $"Starting salt-syndic daemon: "
if [ -f $SUSE_RELEASE ]; then if [ -f $SUSE_RELEASE ]; then
startproc -f -p /var/run/$SERVICE.pid $SALTSYNDIC -d $CONFIG_ARGS startproc -f -p /var/run/$SERVICE.pid $SALTSYNDIC -d $SYNDIC_ARGS
rc_status -v rc_status -v
elif [ -e $DEBIAN_VERSION ]; then elif [ -e $DEBIAN_VERSION ]; then
if [ -f $LOCKFILE ]; then if [ -f $LOCKFILE ]; then
echo -n "already started, lock file found" echo -n "already started, lock file found"
RETVAL=1 RETVAL=1
elif $PYTHON $SALTSYNDIC -d >& /dev/null; then elif $PYTHON $SALTSYNDIC -d $SYNDIC_ARGS >& /dev/null; then
echo -n "OK" echo -n "OK"
RETVAL=0 RETVAL=0
fi fi
else else
daemon --check $SERVICE $SALTSYNDIC -d $CONFIG_ARGS daemon --check $SERVICE $SALTSYNDIC -d $SYNDIC_ARGS
fi fi
RETVAL=$? RETVAL=$?
echo echo
@ -123,18 +122,16 @@ case "$1" in
RETVAL=$? RETVAL=$?
fi fi
;; ;;
condrestart)
[ -f $LOCKFILE ] && restart || :
;;
reload) reload)
echo "can't reload configuration, you have to restart it" echo "can't reload configuration, you have to restart it"
if [ -f $SUSE_RELEASE ]; then
rc_status -v
else
RETVAL=$? RETVAL=$?
fi
;; ;;
*) *)
echo $"Usage: $0 {start|stop|status|restart|reload}" echo $"Usage: $0 {start|stop|status|restart|condrestart|reload}"
exit 1 exit 1
;; ;;
esac esac
exit $RETVAL exit $RETVAL

View File

@ -1,3 +1,59 @@
-------------------------------------------------------------------
Thu Oct 17 18:27:23 UTC 2013 - aboe76@gmail.com
- Updated to salt 0.17.1 bugfix release:
- Fix symbolic links in thin.tgz (:issue:`7482`)
- Pass env through to file.patch state (:issue:`7452`)
- Service provider fixes and reporting improvements (:issue:`7361`)
- Add --priv option for specifying salt-ssh private key
- Fix salt-thin's salt-call on setuptools installations (:issue:`7516`)
- Fix salt-ssh to support passwords with spaces (:issue:`7480`)
- Fix regression in wildcard includes (:issue:`7455`)
- Fix salt-call outputter regression (:issue:`7456`)
- Fix custom returner support for startup states (:issue:`7540`)
- Fix value handling in augeas (:issue:`7605`)
- Fix regression in apt (:issue:`7624`)
- Fix minion ID guessing to use socket.getfqdn() first (:issue:`7558`)
- Add minion ID caching (:issue:`7558`)
- Fix salt-key race condition (:issue:`7304`)
- Add --include-all flag to salt-key (:issue:`7399`)
- Fix custom grains in pillar (part of :issue:`5716`, :issue:`6083`)
- Fix race condition in salt-key (:issue:`7304`)
- Fix regression in minion ID guessing, prioritize socket.getfqdn() (:issue:`7558`)
- Cache minion ID on first guess (:issue:`7558`)
- Allow trailing slash in file.directory state
- Fix reporting of file_roots in pillar return (:issue:`5449` and :issue:`5951`)
- Remove pillar matching for mine.get (:issue:`7197`)
- Sanitize args for multiple execution modules
- Fix yumpkag mod_repo functions to filter hidden args (:issue:`7656`)
- Fix conflicting IDs in state includes (:issue:`7526`)
- Fix mysql_grants.absent string formatting issue (:issue:`7827`)
- Fix postgres.version so it won't return None (:issue:`7695`)
- Fix for trailing slashes in mount.mounted state
- Fix rogue AttributErrors in the outputter system (:issue:`7845`)
- Fix for incorrect ssh key encodings resulting in incorrect key added (:issue:`7718`)
- Fix for pillar/grains naming regression in python renderer (:issue:`7693`)
- Fix args/kwargs handling in the scheduler (:issue:`7422`)
- Fix logfile handling for file://, tcp:// and udp:// (:issue:`7754`)
- Fix error handling in config file parsing (:issue:`6714`)
- Fix RVM using sudo when running as non-root user (:issue:`2193`)
- Fix client ACL and underlying logging bugs (:issue:`7706`)
- Fix scheduler bug with returner (:issue:`7367`)
- Fix user management bug related to default groups (:issue:`7690`)
- Fix various salt-ssh bugs (:issue:`7528`)
- Many various documentation fixes
-------------------------------------------------------------------
Thu Oct 3 06:01:23 UTC 2013 - aboe76@gmail.com
- Updated init files to be inline with fedora/rhel packaging upstream
-------------------------------------------------------------------
Mon Sep 30 18:56:27 UTC 2013 - aboe76@gmail.com
- Cleaned up spec file:
- Unit testing can be done on all distributions
------------------------------------------------------------------- -------------------------------------------------------------------
Sat Sep 28 19:11:10 UTC 2013 - aboe76@gmail.com Sat Sep 28 19:11:10 UTC 2013 - aboe76@gmail.com

View File

@ -16,7 +16,7 @@
# #
Name: salt Name: salt
Version: 0.17.0 Version: 0.17.1
Release: 0 Release: 0
Summary: A parallel remote execution system Summary: A parallel remote execution system
License: Apache-2.0 License: Apache-2.0
@ -31,10 +31,8 @@ Source5: %{name}-syndic.service
Source6: %{name}-minion.service Source6: %{name}-minion.service
Source7: %{name}.logrotate Source7: %{name}.logrotate
Source8: %{name}.SuSEfirewall2 Source8: %{name}.SuSEfirewall2
%if 0%{?sles_version}
BuildRequires: python #for building
Requires: python
%endif
BuildRequires: python-devel BuildRequires: python-devel
BuildRequires: logrotate BuildRequires: logrotate
BuildRequires: python-Jinja2 BuildRequires: python-Jinja2
@ -43,18 +41,29 @@ BuildRequires: python-PyYAML
BuildRequires: python-msgpack-python BuildRequires: python-msgpack-python
BuildRequires: python-pycrypto BuildRequires: python-pycrypto
BuildRequires: python-pyzmq BuildRequires: python-pyzmq
%if 0%{?sles_version}
BuildRequires: python
Requires: python
%endif
%if 0%{?suse_version} >= 1210
BuildRequires: systemd
%{?systemd_requires}
%endif
#for testing
BuildRequires: python-xml BuildRequires: python-xml
BuildRequires: unzip BuildRequires: python-unittest2
BuildRequires: python-salt-testing
BuildRequires: python-mock
BuildRequires: python-pip
Requires: logrotate Requires: logrotate
Requires: python-Jinja2 Requires: python-Jinja2
Requires: python-PyYAML Requires: python-PyYAML
Requires: python-xml Requires: python-xml
Requires(pre): %fillup_prereq Requires(pre): %fillup_prereq
Requires(pre): %insserv_prereq Requires(pre): %insserv_prereq
%if 0%{?suse_version} >= 1210
BuildRequires: systemd
%{?systemd_requires}
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-build BuildRoot: %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110 %if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")} %{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
@ -62,15 +71,6 @@ BuildRoot: %{_tmppath}/%{name}-%{version}-build
BuildArch: noarch BuildArch: noarch
%endif %endif
## Disabled for now python-mock issues
%if 0%{?suse_version} != 1220 && 0%{?suse_version} != 1230
BuildRequires: python-unittest2
BuildRequires: python-salt-testing
BuildRequires: python-mock
BuildRequires: python-pip
BuildRequires: git
%endif
%description %description
Salt is a distributed remote execution system used to execute commands and Salt is a distributed remote execution system used to execute commands and
query data. It was developed in order to bring the best solutions found in query data. It was developed in order to bring the best solutions found in
@ -135,7 +135,7 @@ the management of multiple masters at a time..
Summary: Ssh component for salt, a parallel remote execution system Summary: Ssh component for salt, a parallel remote execution system
Group: System/Monitoring Group: System/Monitoring
Requires: %{name} = %{version} Requires: %{name} = %{version}
Requires: sshpass Recommends: sshpass
Requires(pre): %fillup_prereq Requires(pre): %fillup_prereq
Requires(pre): %insserv_prereq Requires(pre): %insserv_prereq
@ -152,7 +152,7 @@ python setup.py build
%install %install
python setup.py install --prefix=%{_prefix} --root=%{buildroot} python setup.py install --prefix=%{_prefix} --root=%{buildroot}
##missing directories ## create missing directories
mkdir -p %{buildroot}%{_sysconfdir}/salt/master.d mkdir -p %{buildroot}%{_sysconfdir}/salt/master.d
mkdir -p %{buildroot}%{_sysconfdir}/salt/minion.d mkdir -p %{buildroot}%{_sysconfdir}/salt/minion.d
mkdir -p %{buildroot}%{_sysconfdir}/init.d mkdir -p %{buildroot}%{_sysconfdir}/init.d
@ -163,7 +163,7 @@ mkdir -p %{buildroot}/var/log/salt
mkdir -p %{buildroot}/srv/salt mkdir -p %{buildroot}/srv/salt
mkdir -p %{buildroot}/srv/pillar mkdir -p %{buildroot}/srv/pillar
# #
##init scripts ## install init scripts
install -Dpm 0755 %{SOURCE1} %{buildroot}%{_initddir}/salt-master install -Dpm 0755 %{SOURCE1} %{buildroot}%{_initddir}/salt-master
install -Dpm 0755 %{SOURCE2} %{buildroot}%{_initddir}/salt-syndic install -Dpm 0755 %{SOURCE2} %{buildroot}%{_initddir}/salt-syndic
install -Dpm 0755 %{SOURCE3} %{buildroot}%{_initddir}/salt-minion install -Dpm 0755 %{SOURCE3} %{buildroot}%{_initddir}/salt-minion
@ -177,21 +177,18 @@ install -Dpm 0644 %{SOURCE5} %{buildroot}%_unitdir/salt-syndic.service
install -Dpm 0644 %{SOURCE6} %{buildroot}%_unitdir/salt-minion.service install -Dpm 0644 %{SOURCE6} %{buildroot}%_unitdir/salt-minion.service
%endif %endif
# #
##config files ## install config files
install -Dpm 0644 conf/minion %{buildroot}%{_sysconfdir}/salt/minion install -Dpm 0644 conf/minion %{buildroot}%{_sysconfdir}/salt/minion
install -Dpm 0644 conf/master %{buildroot}%{_sysconfdir}/salt/master install -Dpm 0644 conf/master %{buildroot}%{_sysconfdir}/salt/master
# #
##logrotate file ## install logrotate file
install -Dpm 0644 %{SOURCE7} %{buildroot}%{_sysconfdir}/logrotate.d/salt install -Dpm 0644 %{SOURCE7} %{buildroot}%{_sysconfdir}/logrotate.d/salt
# #
##SuSEfirewall2 file ## install SuSEfirewall2 rules
install -Dpm 0644 %{SOURCE8} %{buildroot}%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/salt install -Dpm 0644 %{SOURCE8} %{buildroot}%{_sysconfdir}/sysconfig/SuSEfirewall2.d/services/salt
%if 0%{?suse_version} != 1220 && 0%{?suse_version} != 1230
%check %check
#export only_local_network=False
%{__python} setup.py test --runtests-opts=-u %{__python} setup.py test --runtests-opts=-u
%endif
%preun -n salt-syndic %preun -n salt-syndic
%stop_on_removal salt-syndic %stop_on_removal salt-syndic